aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authormarcoveeneman <marco-veeneman@hotmail.com>2017-04-06 22:58:29 +0200
committermarcoveeneman <marco-veeneman@hotmail.com>2017-04-06 22:58:29 +0200
commitde1789b78383ae59e4428627beae848ae430b48b (patch)
tree32b81bd5e83b66b80d725eaf2e92df32cc6b69f5
parent97aaabeedd53ec16147696f8b44b16ee43d86a99 (diff)
downloadChibiOS-Contrib-de1789b78383ae59e4428627beae848ae430b48b.tar.gz
ChibiOS-Contrib-de1789b78383ae59e4428627beae848ae430b48b.tar.bz2
ChibiOS-Contrib-de1789b78383ae59e4428627beae848ae430b48b.zip
Initial Travis CI support.
All the Tiva demos and testhal applications are built except the LWIP demo.
-rw-r--r--.travis.yml11
-rw-r--r--before_install.sh18
-rw-r--r--script.sh42
3 files changed, 71 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..0d0aa72
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,11 @@
+language: c
+
+sudo: required
+
+before_install:
+ - chmod +x before_install.sh
+ - ./before_install.sh
+
+script:
+ - chmod +x script.sh
+ - ./script.sh
diff --git a/before_install.sh b/before_install.sh
new file mode 100644
index 0000000..0769759
--- /dev/null
+++ b/before_install.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -ex
+
+cd /tmp
+
+sudo apt-get install lib32z1
+wget https://launchpad.net/gcc-arm-embedded/4.9/4.9-2015-q3-update/+download/gcc-arm-none-eabi-4_9-2015q3-20150921-linux.tar.bz2
+tar xjf gcc-arm-none-eabi-4_9-2015q3-20150921-linux.tar.bz2
+export PATH=/tmp/gcc-arm-none-eabi-4_9-2015q3/bin:$PATH
+arm-none-eabi-gcc --version
+
+cd -
+cd ..
+
+mkdir ChibiOS-RT
+cd ChibiOS-RT
+git clone https://github.com/ChibiOS/ChibiOS.git .
diff --git a/script.sh b/script.sh
new file mode 100644
index 0000000..457a38f
--- /dev/null
+++ b/script.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+set -ex
+
+export PATH=/tmp/gcc-arm-none-eabi-4_9-2015q3/bin:$PATH
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C123G-LAUNCHPAD
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD
+
+# This demo needs LWIP, it is disabled for now.
+# git checkout -- .
+# git clean -xfd
+# make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD-LWIP
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/EXT/
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/GPT
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/I2C
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/PWM
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/SPI
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/WDG